/* * Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

/* * Css Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  border: none;
  outline: none;
  text-decoration: none;
  transition: all 0.2s linear;
}

/* * Root */
:root {
  --main-color: #d3ad7f;
  --black-color: #13131a;
  --bg-color: #010103;
  --white-color: #ffffff;
  --border: 0.1rem solid rgba(255, 255, 255, 0.3);
}

/* * Global Styles */
body {
  font-family: "Roboto", sans-serif;
  background-color: var(--bg-color);
}

/* Web sayfasında sayfa bölümleri arasında geçiş yapabilmemizi sağlayan scrrolbar temel track ve thumb adından iki elemandan oluşur.Bu elemanlara erişip css özelleştirmesi yapabiliriz. */
html {
  overflow-x: hidden;
  font-size: 62.5%;
  scroll-behavior: smooth;
}

html::-webkit-scrollbar {
  width: 0.8rem;
}
html::-webkit-scrollbar-track {
  background-color: transparent;
}

html::-webkit-scrollbar-thumb {
  background-color: var(--white-color);
  border-radius: 5rem;
}
section {
  padding: 2rem 7%;
}

.btn {
  background-color: var(--main-color);
  padding: 0.9rem 3rem;
  font-size: 1.7rem;
  color: var(--white-color);
  cursor: pointer;
  margin-top: 1rem;
  transition: all 0.5s linear;
}
.btn:hover {
  transform: scale(1.1);
}

.heading {
  text-align: center;
  color: var(--white-color);
  text-transform: uppercase;
  font-size: 4rem;
  margin-bottom: 3.5rem;
}
.heading span {
  color: var(--main-color);
}
/* * Header */
header {
  background-color: var(--bg-color) !important;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1.5rem 7%;
  border-bottom: var(--border);
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 100;
}

header .logo img {
  height: 6rem;
  border-radius: 50%;
}

header nav a {
  color: var(--white-color);
  font-size: 1.6rem;
  margin: 0 1rem;
}
header nav a:hover {
  color: var(--main-color);
  border-bottom: 0.1rem solid var(--main-color);
  padding-bottom: 0.5rem;
}

header .icons {
  display: none;
}
header .icons i {
  font-size: 2.5rem;
  color: var(--white-color);
  margin: 0 2rem;
  cursor: pointer;
}
header .icons i:hover {
  color: var(--main-color);
}

/* * Home */
.home {
  min-height: 100vh;
  display: flex;
  align-items: center;
  background: url("./images/home.jpg");
  background-size: cover;
  background-position: center;
}
.home .content {
  max-width: 60rem;
}
.home .content h3 {
  font-size: 6rem;
  text-transform: uppercase;
  color: white;
}

.home .content p {
  font-size: 1.5rem;
  line-height: 1.8;
  padding: 1rem 0;
  color: #eee;
}

/* * About */
.about .row {
  display: flex;
  align-items: center;
  background-color: var(--black-color);
  flex-wrap: wrap;
}

.about .row .about-image {
  flex: 1 1 45rem;
}
.about .row .about-image img {
  width: 100%;
}

.about .row .about-content {
  flex: 1 1 45rem;
  padding: 2rem;
  color: var(--white-color);
}

.about .row .about-content h1 {
  font-size: 3rem;
  text-transform: capitalize;
}

.about .row .about-content p {
  font-size: 1.6rem;
  color: #ccc;
  padding: 1rem 0;
  line-height: 1.8;
}

/* * Menu */

.menu .boxs-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
  gap: 1.5rem;
}
.menu .boxs-container .box {
  border: var(--border);
  padding: 5rem;
  text-align: center;
  color: var(--white-color);
  cursor: pointer;
  transition: all 0.5s linear;
}
.menu .boxs-container .box:hover {
  background-color: var(--white-color);
  color: var(--bg-color);
}
.menu .boxs-container .box img {
  height: 10rem;
  width: 10rem;
  border-radius: 50%;
}

.menu .boxs-container .box h3 {
  font-size: 2rem;
  padding: 1rem 0;
  text-transform: capitalize;
}
.menu .boxs-container .box .price {
  font-size: 2.5rem;
  padding: 0.5rem;
}
.menu .boxs-container .box .price del {
  text-decoration: line-through;
  font-size: 1.5rem;
  font-weight: lighter;
}

/* * Products */
.products .products-wrapper {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
  gap: 1.5rem;
}

.products .products-wrapper .product-card {
  border: var(--border);
  padding: 2rem;
  color: var(--white-color);
  text-align: center;
}
.products .products-wrapper .product-card .image img {
  height: 25rem;
  width: 25rem;
}
.products .products-wrapper .product-card .content {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  margin-top: 2rem;
}
.products .products-wrapper .product-card .content h3 {
  font-size: 2.5rem;
  text-transform: capitalize;
}
.products .products-wrapper .product-card .content .stars {
  padding: 1.5rem;
}
.products .products-wrapper .product-card .content .stars i {
  font-size: 1.7rem;
  color: var(--main-color);
}

.products .products-wrapper .product-card .content .price {
  font-size: 2rem;
}
.products .products-wrapper .product-card .content .price del {
  text-decoration: line-through;
  font-size: 1.5rem;
}

/* * Reviews */
.reviews .reviews-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
  gap: 1.5rem;
}
.reviews .reviews-container .review-card {
  border: var(--border);
  color: var(--white-color);
  text-align: center;
  padding: 3rem 2rem;
}

.reviews .reviews-container .review-card p {
  font-size: 1.5rem;
  line-height: 1.8;
  color: #ccc;
  padding: 2rem 0;
}
.reviews .reviews-container .review-card img {
  height: 7rem;
  width: 7rem;
  border-radius: 50%;
}
.reviews .reviews-container .review-card h3 {
  font-size: 2rem;
  text-transform: capitalize;
  padding: 2rem 0;
}

.reviews .reviews-container .review-card .raiting i {
  color: var(--main-color);
  font-size: 1.5rem;
}

/* * Contact */
.contact .row {
  display: flex;
  flex-wrap: wrap;
  background-color: var(--black-color);
  gap: 1rem;
  color: var(--white-color);
}
.contact .row .map {
  flex: 1 1 45rem;
}

.contact .row form {
  flex: 1 1 45rem;
  padding: 5rem 2rem;
}
.contact .row form h3 {
  font-size: 3.5rem;
  text-transform: uppercase;
}
.contact .row form .input-box {
  display: flex;
  align-items: center;
  gap: 2rem;
  margin: 2rem 0;
  background-color: var(--black-color);
  border: var(--border);
}
.contact .row form .input-box i {
  font-size: 2rem;
  padding-left: 2rem;
}

.contact .row form .input-box input {
  width: 100%;
  padding: 2rem;
  background: none;
  color: var(--white-color);
  font-size: 1.7rem;
}
.contact .row form .btn-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
}
.contact .row form .btn-wrapper .btn {
  width: 200px;
}

/* * Blogs */
.blogs .card-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
  gap: 1.5rem;
}
.blogs .card-container .card {
  border: var(--border);
  color: var(--white-color);
  cursor: pointer;
}
.blogs .card-container .card:hover > .image img {
  transform: scale(1.2);
}
.blogs .card-container .card .image {
  overflow: hidden;
  object-fit: cover;
  height: 25rem;
}
.blogs .card-container .card .image img {
  width: 100%;
  height: 100%;
}
.blogs .card-container .card .content {
  padding: 2rem;
  text-transform: capitalize;
}
.blogs .card-container .card .content h2 {
  font-size: 2.5rem;
  line-height: 1.5;
}

.blogs .card-container .card .content span {
  color: var(--main-color);
  font-size: 1.5rem;
  display: block;
  padding: 1rem 0;
}

.blogs .card-container .card .content p {
  font-size: 1.8rem;
  line-height: 1.8;
  color: #ccc;
  padding: 1rem 0;
}

/* * Footer */
footer {
  background-color: var(--black-color);
  text-align: center;
  padding: 2rem 7%;
}
footer .social {
  padding: 1rem 0;
}
footer .social i {
  height: 5rem;
  width: 5rem;
  border: var(--border);
  font-size: 2rem;
  line-height: 5rem;
  margin: 0.3rem;
  color: var(--white-color);
  border-radius: 50%;
  cursor: pointer;
}
footer .social i:hover {
  background-color: var(--main-color);
}

footer nav {
  display: flex;
  justify-content: center;
  padding: 2rem 0;
  gap: 1rem;
  flex-wrap: wrap;
}
footer nav a {
  padding: 0.7rem 2rem;
  font-size: 2rem;
  color: var(--white-color);
  border: var(--border);
}
footer nav a:hover {
  background-color: var(--main-color);
}

footer .copyright {
  font-size: 2rem;
  color: var(--white-color);
  padding: 1.5rem;
  font-weight: lighter;
}
footer .copyright span {
  color: var(--main-color);
}
/* * Responsive Design */

@media (max-width: 900px) {
  header {
    padding: 1.5rem 2rem;
  }
  header .icons {
    display: block;
  }

  header nav {
    position: absolute;
    top: 120%;
    right: 3%;
    display: none;
    flex-direction: column;
    gap: 3rem;
    background-color: var(--bg-color);
    padding: 2rem;
    border-radius: 1rem;
    text-align: center;
    box-shadow: 0 0 1rem var(--main-color);
  }
  /* Javascript'den nav kısmının aç-kapa işlemini yapabilmek için bir class ekleyeceğiz. */
  header nav.active {
    display: flex;
  }
  .home {
    background-position: left;
    justify-content: center;
    text-align: center;
  }
  .home .content h3 {
    font-size: 4.5rem;
  }
  .home .content p {
    font-size: 1.8rem;
  }
  .contact .row form .btn-wrapper .btn {
    width: 100%;
  }
}
